package cn.yw.machinestatusmanage.bean;

import cn.base.bean.BaseBean;
//[运维服务器状态上报信息表]

public class YwmachinestatusinfoBean extends BaseBean implements java.io.Serializable {
	private String machinestatusid;//[服务器状态id]
	private String machineid;//[机器id]
	private String machinename;//[机器名称]
	private int machinedevicetype;//[机器硬件设备类型；0-主机；1-CPU；2-内存；3-硬盘]
	private String machinedeviceid;//[机器硬件设备id]
	private String harddiskdrive;//[盘符]
	private String devicecapacity;//[设备容量]
	private String currentusage;//[当前使用率]
	private int machinedevicestatus;//[设备状态]
	private String failurecause;//[故障原因]
	private String statusuptime;//[上报时间]
	private String statusupbatch;//[上报批次]
	private int runprogress;//[执行进度]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setMachinestatusid(String machinestatusid){
		this.machinestatusid = machinestatusid;
	}
	public String getMachinestatusid(){
		return machinestatusid;
	}
	public void setMachineid(String machineid){
		this.machineid = machineid;
	}
	public String getMachineid(){
		return machineid;
	}
	public void setMachinename(String machinename){
		this.machinename = machinename;
	}
	public String getMachinename(){
		return machinename;
	}
	public void setMachinedevicetype(int machinedevicetype){
		this.machinedevicetype = machinedevicetype;
	}
	public int getMachinedevicetype(){
		return machinedevicetype;
	}
	public void setMachinedeviceid(String machinedeviceid){
		this.machinedeviceid = machinedeviceid;
	}
	public String getMachinedeviceid(){
		return machinedeviceid;
	}
	public void setHarddiskdrive(String harddiskdrive){
		this.harddiskdrive = harddiskdrive;
	}
	public String getHarddiskdrive(){
		return harddiskdrive;
	}
	public void setDevicecapacity(String devicecapacity){
		this.devicecapacity = devicecapacity;
	}
	public String getDevicecapacity(){
		return devicecapacity;
	}
	public void setCurrentusage(String currentusage){
		this.currentusage = currentusage;
	}
	public String getCurrentusage(){
		return currentusage;
	}
	public void setMachinedevicestatus(int machinedevicestatus){
		this.machinedevicestatus = machinedevicestatus;
	}
	public int getMachinedevicestatus(){
		return machinedevicestatus;
	}
	public void setFailurecause(String failurecause){
		this.failurecause = failurecause;
	}
	public String getFailurecause(){
		return failurecause;
	}
	public void setStatusuptime(String statusuptime){
		this.statusuptime = statusuptime;
	}
	public String getStatusuptime(){
		return statusuptime;
	}
	public void setStatusupbatch(String statusupbatch){
		this.statusupbatch = statusupbatch;
	}
	public String getStatusupbatch(){
		return statusupbatch;
	}
	public void setRunprogress(int runprogress){
		this.runprogress = runprogress;
	}
	public int getRunprogress(){
		return runprogress;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}